<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Malware Research Control Platform | {{ release_ver }}</title>
    <!--Static root directory-->
    {% load static %}
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

    <link rel="stylesheet" href="{% static 'css_custom/pcp_custom_css.css' %}">
    <link rel="stylesheet" href="{% static 'AdminLTE/bower_components/bootstrap/dist/css/bootstrap.css' %}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{% static 'AdminLTE/bower_components/font-awesome/css/font-awesome.min.css' %}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="{% static 'AdminLTE/bower_components/Ionicons/css/ionicons.min.css' %}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{% static 'AdminLTE/dist/css/AdminLTE.min.css' %}">
    <!-- AdminLTE Skins. We have chosen the skin-blue for this starter
        page. However, you can choose any other skin. Make sure you
        apply the skin class to the body tag so the changes take effect. -->
    <link rel="stylesheet" href="{% static 'AdminLTE/dist/css/skins/skin-blue.min.css' %}">
    <link rel="stylesheet" href="{% static 'Select/css/select.dataTables.css' %}">
    <link rel="stylesheet" href="{% static 'DataTables/datatables.min.css' %}">
    <link rel="stylesheet" href="{% static 'external_jquery/jquery-ui.css' %}">
    <link rel="stylesheet" href="{% static 'css_custom/datetime-picker.css' %}">
    <link rel="stylesheet" href="{% static 'External_css_files/animate.css' %}">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <!--<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>-->
    <!--<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>-->
    <!--<![endif]&ndash;&gt;-->

    <!-- Google Font -->
    <!--<link rel="stylesheet" href="{% static 'AdminLTE_int/googlefont1.css' %}">-->

    <!-- favicon -->
    <link rel="icon"
      type="image/png"
      href="{% static 'images/favicon.ico' %}" />
    <!--for template inheritance-->
    <style>
        #draggable { width: 150px; height: 150px; padding: 0.5em; }
        div.pcp_div_custom {
            padding-left: 20px;
            padding-right: 20px;
        }
        .btn-pcp_button_color1 {
          color: #ffffff;
          background-color: #00b33c;
          border-color: rgba(0, 0, 0, 0.2);
        }
        .btn-pcp_button_color2 {
          color: #ffffff;
          background-color: #e68a00;
          border-color: rgba(0, 0, 0, 0.2);
        }
        .w1TableWrapper {
            position: relative;
            overflow: hidden;
        }
        .w1TableScroll {
            max-height: 360px;
            overflow: auto;
            overflow-x: hidden;
            transition: max-height 0.76s ease-in;
        }
        .w1TableScroll.loaded {
            max-height: 620px;
        }
        .w2TableWrapper {
            position: relative;
            overflow: hidden;
        }
        .w2TableScroll {
            max-height: 360px;
            overflow: auto;
            overflow-x: hidden;
            transition: max-height 0.76s ease-in;
        }
        .w2TableScroll.loaded {
            max-height: 620px;
        }
        .w3TableWrapper {
            position: relative;
            overflow: hidden;
        }
        #w3TableScroll {
            max-height: 360px;
            overflow: auto;
            overflow-x: hidden;
            transition: max-height 0.76s ease-in;
        }
        #w3TableScroll.loaded {
            max-height: 620px;
        }
        .w4TableWrapper {
            position: relative;
            overflow: hidden;
        }
        #w4TableScroll {
            max-height: 360px;
            overflow: auto;
            overflow-x: hidden;
            transition: max-height 0.76s ease-in;
        }
        #w4TableScroll.loaded {
            max-height: 620px;
        }

        .tooltipWrapper {
            position: relative;
            overflow: hidden;
            width: 100%;
        }
        .tooltipScroll {
            max-height: 280px;
            overflow: auto;
            overflow-x: hidden;
            transition: max-height 0.76s ease-in;
        }
        .tooltipScroll.loaded {
            max-height: 460px;
        }
        .fixed_tooltip {
          position: fixed;
          width: 29%;
        }
        .w4_output_collapsible_button {
           background-color: #485f6a;
           color: white;
           cursor: pointer;
           padding: 5px;
           width: 100%;
           border: none;
           text-align: left;
           outline: none;
           font-size: 13px;
        }
        .active2, .w4_output_collapsible_button:hover {
            background-color: #34444c;
        }
        .w4_output_collapsible_button:after {
            content: '\002B';
            color: white;
            font-weight: bold;
            float: right;
            margin-left: 5px;
        }
        .active2:after {
            content: "\2212";
        }
        /*.buttonW4Collapse {*/
            /*content: "\2212";*/
        /*}*/
        .w4_output_content {
            padding: 0 12px;
            /*display: none;*/
            max-height: 0;
            overflow: hidden;
            transition: max-height 0.7s ease-out;
            background-color: #f1f1f1;
        }
        pre {
            white-space: pre-wrap;
        }

    </style>
    {% block styles %}{% endblock %}
</head>
<!--
BODY TAG OPTIONS:
=================
Apply one or more of the following classes to get the
desired effect
|---------------------------------------------------------|
| SKINS         | skin-blue                               |
|               | skin-black                              |
|               | skin-purple                             |
|               | skin-yellow                             |
|               | skin-red                                |
|               | skin-green                              |
|---------------------------------------------------------|
|LAYOUT OPTIONS | fixed                                   |
|               | layout-boxed                            |
|               | layout-top-nav                          |
|               | sidebar-collapse                        |
|               | sidebar-mini                            |
|---------------------------------------------------------|
-->
<body class="hold-transition skin-blue sidebar-collapse sidebar-mini">
<div class="wrapper">

  <!-- Main Header -->
  <header class="main-header">

    <!-- Logo -->
    <a href="/pcp_home/" class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini"><b>M</b>CP</span>
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg"><b>Malware Research</b> Control Platform</span>
    </a>

    <!-- Header Navbar -->
    <nav class="navbar navbar-static-top" role="navigation">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>
      <!-- Navbar Right Menu -->
      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
          <!--User Logout-->
          <li class="dropdown user user-menu">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                  <span class="hidden-xs">{{request.user.username}}</span>
              </a>
              <ul class="dropdown-menu">
                  <li class="user-header">
                      <p>{{request.user.username}}</p>
                  </li>
                  <li class="user-footer">
                      <div class="pull-left">
                          <a href="#" class="btn btn-default btn-flat">Admin</a>
                      </div>
                      <div class="pull-right">
                          <a href="/logout/" class="btn btn-default btn-flat">Sign out</a>
                      </div>
                  </li>
              </ul>
          </li>
          <!--/User Logout-->

          <!-- Control Sidebar Toggle Button -->
          <li>
            <a href="#" data-toggle="control-sidebar"><i class="fa fa-ellipsis-h" data-toggle="tooltip" title="Upload File"></i></a>
          </li>
        </ul>
      </div>
    </nav>
  </header>
  <!-- Left side column. contains the logo and sidebar -->
  <aside class="main-sidebar">

    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">

      <!-- Sidebar Menu -->
      <ul class="sidebar-menu" data-widget="tree">
        <li class="header">Version {{ release_ver }}</li>
        <!-- Links on the sidebar -->
        <li class="active"><a href="/pcp_home/"><i class="fa fa-home text-aqua"></i> <span>Home Page</span></a></li>
        <li><a href="/new_target_form/" id="add_target_id"><i class="fa fa-laptop text-aqua"></i> <span>Add Target</span></a></li>
        <li><a href="/logs_page/" id="leftside_log_id"><i class="fa fa-exclamation text-aqua"></i> <span>Logs</span></a></li>
        <li><a href="#" target="_blank" id="left_side_jn_id"><i class="fa fa-spinner text-aqua"></i> <span>Jupyter Notebook</span></a></li>
        <li><a href="#" target="_blank" id="left_side_caldera_id"><i class="fa fa-truck text-aqua"></i> <span>CALDERA</span></a></li>
        <!--<li><a href="#"><i class="fa fa-laptop text-aqua"></i> <span>Plugins</span></a></li>-->
        <!--<li class="treeview">-->
          <!--<a href="#"><i class="fa fa-fighter-jet text-aqua"></i> <span>Capabilities</span>-->
            <!--<span class="pull-right-container">-->
                <!--<i class="fa fa-angle-left pull-right"></i>-->
              <!--</span>-->
          <!--</a>-->
          <!--<ul class="treeview-menu">-->
            <!--<li><a href="#">Form One</a></li>-->
            <!--<li><a href="#">Form Two</a></li>-->
            <!--<li><a href="#">Form Three</a></li>-->
          <!--</ul>-->
        <!--</li>-->
      </ul>
      <!-- /.sidebar-menu -->
    </section>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper" id="content-wrapper-id">
    <!-- Content Header (Page header) -->
    <!--<section class="content-header">-->
      <!--{% block breadcrumb %}-->
      <!--{% endblock %}-->
    <!--</section>-->

    <!-- Main content -->
    <section class="content container-fluid">
      <!--------------------------
        | Your Page Content Here |
        -------------------------->
    {% block content %}
      <!--Content-->
      <!--First Row-->
      <div class="row">
        <!--W1-->
        <div class="col-md-6">
          <div class="box box-default" id="w1_box">
            <!--W1 Header-->
            <div class="box-header with-border">
              <h2 class="box-title"><i class="fa fa-laptop"></i> Target List</h2>
              <!--Search Input-->
              <div class="box-tools pull-right" style="width: 160px;">
                <div class="has-feedback" style="width: 130px;">
                  <input class="form-control input-sm" id="searchNameHere_id" name="searchNameHere" placeholder="Search" type="text">
                  <span class="glyphicon glyphicon-search form-control-feedback text-muted"></span>
                </div>
              </div>
              <!--/Search Input-->

              <!--Collapse Button-->
              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" id="w1_collapse_id" data-widget="collapse" onclick="synch_widget_collapse('w1')"><i class="fa fa-minus"></i></button>
              </div>
              <!--/Collapse Button-->
            </div>
            <!--/W1 Header-->
            <div id="w1_command_active_filter" class="alert alert-info" ></div>

            <!--W1 Body-->
            <div class="box-body w1TableWrapper" id="w1_body_box">
              <div class="row w1TableScroll">
                <div class="col-sm-12">
                  <table id="target_table" class="table table-bordered table-hover dataTable display gridSelect" role="grid" aria-describedby="target_table_info">
                    <thead>
                    <tr role="row">
                      <th class="sorting text" tabindex="0" aria-controls="target_table" rowspan="1" colspan="1" aria-label="Plugin Name: activate to sort column ascending">
                        Plugin Name
                      </th>
                      <th class="sorting text" tabindex="0" aria-controls="target_table" rowspan="1" colspan="1" aria-label="Location: activate to sort column ascending">
                        Location
                      </th>
                      <th class="sorting text" tabindex="0" aria-controls="target_table" rowspan="1" colspan="1" aria-label="Browser: activate to sort column ascending">

                      </th>
                    </tr>
                    </thead>
                    <tbody id="target_box_contentid" class="target_box_content">
                    {% if host_dict %}
                      {% for items in host_dict %}
                        <tr role="row" class="odd" id="target_row{{ forloop.counter0 }}">
                          <!-- Target's Plugin Name -->
                          <td id="name_tag_id{{ forloop.counter0 }}" class="clickable-row-col1" onclick="" style="width: 40%;">
                            <a href="#">
                              <span style="display:none" id="nameidjson{{ forloop.counter0 }}">{{ items.json }}</span>
                              <span>{{ items.PluginName }}</span>
                            </a>
                          </td>
                          <!-- /Target's Plugin Name -->

                          <!-- Target's Location -->
                          <td id="address_tag_id{{ forloop.counter0 }}" class="clickable-row-col2" onclick="" style="width: 40%;">
                            <a href="#">
                              <span>{{ items.Location }}</span>
                            </a>
                          </td>
                          <!-- /Target's Location -->

                          <!-- Target's Buttons -->
                          <td id="action_tad_id{{ forloop.counter0 }}" style="text-align: center; width: 20%;" class="clickable-row-col3" onclick="">
                            <!-- Edit Target Button -->
                            <span id="edit_target_id">
                              <a href="/edit_target_form/{{ items.id }}/" target="_blank" class="btn btn-social-icon btn-bitbucket btn-xs" data-toggle="tooltip" title="Edit Target">
                                <i class="fa fa-edit"></i>
                              </a>
                            </span>
                            <!-- /Edit Target Button -->

                            <!-- Quick Action to W3 Button -->
                            <span id="add_job_sc_id_attr">
                                <a href="#" id="add_job_sc_id{{ forloop.counter0 }}" class="btn btn-social-icon btn-linkedin btn-xs" data-toggle="tooltip" title="Add Target to W3">
                                    <i class="fa fa-tasks"></i>
                                </a>
                            </span>
                            <!-- /Quick Action to W3 Button -->

                            <!-- Console Button -->
                            <span>
                              <button id="open_terminal_id{{ forloop.counter0 }}"
                                      class="btn btn-social-icon btn-twitter btn-xs terminal_opener_sc fa fa-laptop"
                                      title="Open Terminal to this Target (May require prior initialization)"
                                      data-toggle="modal"
                                      data-target="#terminal-modal"
                                      data-terminaldata='{"target":{{ items.json }}, "sequence":"_C_2_2"}'>
                              </button>
                            </span>
                            <!-- /Console Button -->

                            <!-- History Modal Button -->
                            <span id="history_button_span_id">
                                <button id="history_button_id{{ forloop.counter0 }}"
                                      class="btn btn-social-icon btn-tumblr btn-xs history_opener_sc"
                                      title="Target's History"
                                      data-toggle="modal"
                                      data-target="#history-modal"
                                      data-terminaldata='{"target":{{ items.json }}, "sequence":"_C_2_2"}'>
                                    <i class="fa fa-clock-o"></i>
                                </button>
                            </span>
                            <!-- /History Modal Button -->

                          </td>
                          <!-- /Target's Buttons -->
                          </tr>
                      {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <!--/W1 Body-->
          </div>
        </div>
        <!--/W1-->

        <!--W2-->
        <div class="col-md-6">
          <div class="box box-default" id="w2_box">
            <!--W2 Header-->
            <div class="box-header with-border">
              <h2 class="box-title"><i class="fa fa-exchange"></i> Command Builder</h2>
              <!--Search Input-->
              <div class="box-tools pull-right" style="width: 160px;">
                <div class="has-feedback" style="width: 130px;">
                  <input class="form-control input-sm" id="searchCommand_id" name="searchCommandHere" placeholder="Search" type="text">
                  <span class="glyphicon glyphicon-search form-control-feedback text-muted"></span>
                </div>
              </div>
              <!--/Search Input-->

              <!--Collapse Button-->
              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" id="w2_collapse_id" data-widget="collapse" onclick="synch_widget_collapse('w2')"><i class="fa fa-minus"></i></button>
              </div>
              <!--/Collapse Button-->
            </div>
            <!--/W2 Header-->
            <div id="w2_command_active_filter" class="alert alert-info" ></div>

            <!--W2 Body-->
            <div class="box-body w2TableWrapper contentTest" id="w2_body_box">
                        <a id="w2_loader_button" class="btn btn-social-icon btn-linkedin btn-xs"><i id="w2_download_status" class="fa fa-cloud-download"></i></a>
                        <a id="w2_persist_button" class="btn btn-social-icon btn-linkedin btn-xs"><i id="w2_upload_status" class="fa fa-cloud-upload"></i></a>
                        <span id="w2_selector_loading" class="text-aqua fa fa-refresh fa-spin"></span>&nbsp
                        <select id="w2_current_selector"></select>
                        <input id="w2_namer">
                        <a id="w2_up_check_button" class="btn btn-social-icon btn-linkedin btn-xs"><i class="fa fa-check"></i></a>
                        <a id="w2_dn_check_button" class="btn btn-social-icon btn-linkedin btn-xs"><i class="fa fa-check"></i></a>
                        <a id="w2toss_button" class="btn btn-social-icon btn-linkedin btn-xs"><i class="fa fa-remove"></i></a>
                        <div id="w2_save_feedback" class="alert alert-danger"></div>
              <div class="row w2TableScroll" onscroll="fixed_tooltip()">
                <!--Command List-->
                <div id="w2_builder" class="col-xs-4">
                  <div id="theContentHeader" class="box-header theContentHeader"></div>
                  <div id="theContent" class="tab-content theContent" style="width:250px"></div>
                </div>
                <div id="w2_builder_saved_command_list" class="col-xs-4">
                  <div id="savedContentHeader" class="box-header"></div>
                  <div id="savedContent" class="tab-content" style="width:250px"></div>
                </div>
                <!--/Command List-->

                <!--Tooltip For Command-->
                <div class="col-xs-8 tooltipTest" id="toolTipTest">
                  <div id="tooltipColumn" class="">
                      <div id="tooltipHeader" class="box-header tooltipHeader"></div>
                      <div class="tooltipWrapper">
                        <div class="tooltipScroll">
                          <div class="tab-content tooltipContent"></div>
                        </div>
                      </div>
                  </div>
                </div>
                <!--/Tooltip For Command-->
              </div>
            </div>
            <!--/W2 Body-->

            <!--W2 Footer-->
            <!--<div class="box-footer theContentArgument" onclick="" draggable="true" ondragstart="drag_command(event)" ondragend="drag_end_command(event)" id="boxtwofooterid"></div>-->
            <div class="box-footer theContentArgument" onclick="" id="boxtwofooterid"></div>
            <!--/W2 Footer-->

          </div>
        </div>
        <!--/W2-->
    </div>

    <!--Second Row-->
    <div class="row">
        <!-- W3 -->
        <div class="col-md-6">
            <div class="nav-tabs-custom">
                <!-- W3 Sequence Tabs -->
                <a name="jobs"></a>
                <ul id="jobq_tabs" class="nav nav-tabs newTabContent">
                    <li class="pull-left header"><i class="fa fa-tasks"></i> Jobs Queue </li>
                    <li onclick="synchronize_job_sequence_tabs(1)" class="active"><a href="#jobq_1" data-toggle="tab">A</a></li>
                    <li id="new_jobq_button"><a href="#tab_n" value=1 class="fa fa-plus"></a></li>

                    <!--Collapse Button-->
                    <li class="pull-right">
                      <button type="button" class="btn btn-box-tool" id="w3_collapse_id" data-widget="collapse" onclick="synch_widget_collapse('w3')"><i class="fa fa-minus"></i></button>
                    </li>
                    <!--/Collapse Button-->

                    <!--Clear Buttons-->
                    <li class="pull-right"><button type="submit" class="btn btn-default" id="clear_buttonid">Clear All</button></li>
                    <li class="pull-right"><button type="submit" class="btn btn-default" id="clear_seq_buttonid">Clear Sequence</button></li>
                    <!--/Clear Buttons-->
                </ul>
                <div id="w3_notification_id" class="alert alert-info" style="display: none;"></div>
                <!-- /W3 Tabs -->
                <div class="box box-primary" id="w3_box">
                    <div class="box-header w3_header_class">
                        <button type="submit" id="addjob_top_button" value="0" class="btn btn-default">Add Job</button>
                        &nbsp;<span>Insert # of Jobs &nbsp;<input type="text" id="insertAddJobNum" onkeypress="insert_addJob_num(event)" maxlength="3" size="3"></span>
                        <span class="pull-right">
                            <label>Sequence Expire</label><br>
                            <input size="13" id="job_sequence_expire"/>
                            <input size="9" disabled=true id="job_sequence_expire_unix"/>
                        </span>
                        <span class="pull-right">
                            <label>Sequence Start</label><br>
                            <input size="13" id="job_sequence_timer"/>
                            <input size="9" disabled=true id="job_sequence_time_unix"/>
                        </span>
                        <div id="w3_drop_to_all" style="outline: 1px dashed #ABABAB; outline-offset: 1px; text-align: center; display: none; "><br>Drop Here to apply the command to <strong>all</strong> jobs<br><br></div>
                        <div id="w3_drop_target_to_all" style="outline: 1px dashed #ABABAB; outline-offset: 1px; text-align: center; display: none; "><br>Drop Here to apply to <strong>all</strong> jobs<br><br></div>
                    </div>
                    <div class="box-body w3TableWrapper">
                        <div class="" id="w3TableScroll">
                          <div id="jobq_content" class="tab-content">
                              <div id="jobq_1" class="tab-pane active"> </div>
                              <div id="example3_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                                  <table id="job_table" class="table table-bordered table-hover dataTable display gridSelect2" role="grid" aria-describedby="job_table_info">
                                      <thead>
                                          <tr role="row">
                                              <th rowspan="1" colspan="1" style="width: 10%;">
                                                  Job #</th>
                                              <th rowspan="1" colspan="1" style="width: 30%;">
                                                  Plugin Name</th>
                                              <th rowspan="1" colspan="1" style="width: 22%;">
                                                  Host</th>
                                              <th rowspan="1" colspan="1" style="width: 30%;">
                                                  Command</th>
                                              <th rowspan="1" colspan="1" style="width: 8%;">
                                                  Status</th>
                                          </tr>
                                      </thead>
                                      <tbody class="thirdBoxContent" id="third_box_content">
                                      </tbody>
                                  </table>
                              </div>
                          </div>
                        </div>
                    </div>
                    <div class="box-footer">
                        <button type="submit" id="addjob_button" value="0" class="btn btn-default">Add Job</button>
                        <a href="#jobs" id="loader_button" class="btn btn-social-icon btn-linkedin btn-xs"><i id="download_status" class="fa fa-cloud-download"></i></a>
                        <a href="#jobs" id="persist_button" class="btn btn-social-icon btn-linkedin btn-xs"><i id="upload_status" class="fa fa-cloud-upload"></i></a>
                        <span id="w3_selector_loading" class="text-aqua fa fa-refresh fa-spin"></span>&nbsp
                        <select id="w3_current_selector"></select>
                        <input id="w3_namer">
                        <a href="#jobs" id="w3_up_check_button" class="btn btn-social-icon btn-linkedin btn-xs"><i class="fa fa-check"></i></a>
                        <a href="#jobs" id="w3_dn_check_button" class="btn btn-social-icon btn-linkedin btn-xs"><i class="fa fa-check"></i></a>
                        <a href="#jobs" id="w3toss_button" class="btn btn-social-icon btn-linkedin btn-xs"><i class="fa fa-remove"></i></a>
                        <button type="submit" id="execute_button" value="Submit" class="btn btn-info pull-right">Execute Sequence</button>
                        <div class="pull-right">
                            <input type="checkbox" name="autosave_sequence" value="yes" id="autosave_sequence" checked>
                            <label for="autosave_sequence">Autosave</label>
                            &nbsp;&nbsp;&nbsp;
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /W3 -->

        <!-- W4 -->
        <div class="col-md-6">
            <div class="nav-tabs-custom">
                <!-- W4 Tabs -->
                <ul id="output_tabs" class="nav nav-tabs">
                    <li class="pull-left header"><i class="fa fa-check-square-o"></i> Job Output</li>
                    <li class="active" onclick="synchronize_output_sequence_tabs(1);"><a href="#outq_1" data-toggle="tab">A</a></li>
                    <!--Collapse Button-->
                    <li class="pull-right">
                      <button type="button" class="btn btn-box-tool" id="w4_collapse_id" data-widget="collapse" onclick="synch_widget_collapse('w4')"><i class="fa fa-minus"></i></button>
                    </li>
                    <!--/Collapse Button-->
                </ul>
                <!-- /W4 Tabs -->
                <!--Content-->
                <div class="box box-primary" id="w4_box">
                  <div class="box-header w4_header_class">
                    <input type="checkbox" name="truncate_ouput" value="1024" id="truncate_output_to" checked>
                    <label for="truncate_output_to">Truncate output</label>
                  </div>
                    <div class="box-body w4TableWrapper">
                      <div class="" id="w4TableScroll">

                        <div id="outq_content" class="tab-content">
                            <div id="outq_1" class="tab-pane active"> </div>

                        </div>
                        <table class="table no-margin">
                            <thead>
                                <tr>
                                    <th style="width: 60px">Job #</th>
                                    <th>Update</th>
                                    <th style="width: 60px">Status</th>
                                </tr>
                            <tbody class="W4BodyContent" id="W4Rows">
                                <!--<tr>-->
                                    <!--<th>1</th>-->
                                    <!--<th><a>terminal1</a></th>-->
                                <!--</tr>-->
                                <!--<tr>-->
                                    <!--<th>2</th>-->
                                    <!--<th><a>terminal2</a></th>-->
                                <!--</tr>-->
                            </tbody>
                            </thead>
                        </table>
                      </div>
                    </div>
                </div>
                <!--/Content-->
            </div>
        </div>
        <!-- /W4 -->
    </div>
    {% endblock %}
        <!--------------------------
        | Your Page Content Ends Here |
        -------------------------->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <!-- Main Footer -->
  <!--<footer class="main-footer">-->
    <!--&lt;!&ndash; To the right &ndash;&gt;-->
    <!--<div class="pull-right hidden-xs">-->
        <!--<strong>Version 1.0.8</strong>-->
    <!--</div>-->
    <!--&lt;!&ndash; Default to the left &ndash;&gt;-->
    <!--<strong>Demo Version for the <a id="nooo_id" href="#">PCP Project</a></strong> :)-->
  <!--</footer>-->

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Create the tabs -->
    <ul class="nav nav-tabs nav-justified control-sidebar-tabs" id="sidebar-tabs-id">
      <li class="active"><a href="#control-sidebar-home-tab" data-toggle="tab"><i class="fa fa-dropbox"></i></a></li>
      <li><a href="#control-sidebar-settings-tab" data-toggle="tab"><i class="fa fa-plug"></i></a></li>
      <li><a href="#control-sidebar-settings-tab-log" data-toggle="tab"><i class="fa fa-exclamation"></i></a></li>
    </ul>
    <!-- Tab panes -->
    <div class="tab-content">
      <!--File Uploaded Sidebar -->
      <div class="tab-pane active" id="control-sidebar-home-tab">
        <h3 class="control-sidebar-heading">File Upload</h3>
        <ul class="control-sidebar-menu">
          <li>
            <a href="javascript:;">
              <div id="dropzone">
                  <div class="dropzone needsclick dz-clickable" id="dropzone_testid">{% csrf_token %}
                      <div class="dz-message dz-default needsclick">
                        Drop files here or click to upload.<br>
                      </div>
                  </div>
              </div>
              <div class="progress progress-xxs" style="visibility: hidden;">
                  <div class="progress-bar progress-bar-danger" role="progressbar" data-dz-uploadprogress>
                      <span class="progress-text"></span>
                  </div>
              </div>
              <div class="file_upload_msg" style="visibility: hidden;">
              </div>
            </a>
          </li>
        </ul>

        <!-- /.control-sidebar-menu -->
          <!--File Uploaded List-->
        <h3 class="control-sidebar-heading">
            <span id="upload_file_refresh" class="text-aqua fa fa-refresh" ></span>
            <span class="badge bg-green" id="upload_files_need_refreshed">
                File list changed, refresh
            </span>
            List of File(s)
        </h3>

        <ul class="control-sidebar-menu upload_file_list">
        </ul>
          <!--/File Uploaded List-->
        <!--<a id="bb_id" href="#">Testing for two</a>-->
        <!-- /.control-sidebar-menu -->
      </div>
      <!--/File Uploaded Sidebar -->
      <!-- Plugins Sidebar -->
        <!--<span id="plugin_list_refresh" class="text-aqua fa fa-refresh"></span>-->
      <div class="tab-pane" id="control-sidebar-stats-tab">Stats Tab Content</div>
      <div class="tab-pane" id="control-sidebar-settings-tab">
          <button id="add_plugin_id" type="button" class="btn btn-block btn-info">Add Plugin</button>
          <!--Notification Here-->
          <h3 class="control-sidebar-heading">
              <span id="plugin_list_refresh" class="text-aqua fa fa-refresh"></span>&nbsp;
              <span class="badge bg-green" id="plugins_need_refreshed">
                Plugin list changed, refresh
            </span>
              Plugin List<br>
              <br>&nbsp;
                  <span>
                      <a id="activate_plugin_button" class="btn btn-social-icon btn-pcp_button_color1 btn-xs" onclick="desired_plugin_state('activate')" data-toggle="tooltip" title="Activate Plugin">
                          <i class="fa fa-thumbs-o-up"></i>
                      </a>
                  </span>&nbsp;
                  <span>
                      <a id="restart_plugin_button" class="btn btn-social-icon btn-pcp_button_color2 btn-xs" onclick="desired_plugin_state('restart')" data-toggle="tooltip" title="Restart Plugin">
                          <i class="fa fa-refresh"></i>
                      </a>
                  </span>&nbsp;
                  <span>
                      <a id="stop_plugin_button" class="btn btn-social-icon btn-google btn-xs" onclick="desired_plugin_state('stop')" data-toggle="tooltip" title="Stop Plugin">
                          <i class="fa fa-hand-stop-o"></i>
                      </a>
                  </span>
          </h3>
          <ul class="control-sidebar-menu plugin_list_display">
          </ul>
      </div>
      <!-- /Plugins Sidebar -->
      <!-- Log Sidebar -->
      <div class="tab-pane" id="control-sidebar-settings-tab-log">
        <h3 id="debug_sidebar_id" class="control-sidebar-heading">Recent Log Messages</h3>
        <div id="div-sidebar-log-id">
          <ul id="control-sidebar-menu-id" class="control-sidebar-menu">
            <!--<li>-->
              <!--<a href="javascript:;">-->
                <!--<h4 class="control-sidebar-subheading">Message 3</h4>-->
                <!--<h4 class="control-sidebar-subheading"><p>Some information about this general settings option</p></h4>-->
              <!--</a>-->
            <!--</li>-->
          </ul>
        </div>
      </div>
      <!-- /Log Sidebar -->
    </div>
  </aside>
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
  immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->
<!--<audio id="easter_egg_one_id">-->
    <!--<source src="{% static 'media_test/nooo.mp3' %}" type="audio/mpeg">-->
  <!--Your browser does not support the audio element.-->
<!--</audio>-->

<!--Terminal Modal-->
<div class="modal modal-info bs-example-modal-lg fade" id="terminal-modal" tabindex="-1" role="dialog" aria-labelledby="terminal-modal-label">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="terminal-modal-label">Terminal for
            <span id="terminal-modal-target"></span> using
            <span id="terminal-modal-plugin"></span>:<span id="terminal-modal-port"></span>
        </h4>
      </div>
      <div class="modal-body">
          <input type="text" style="display: none"  disabled id="terminal-active-target-str">
          <div id="terminal-cmd-list" class="terminal-window">
            <ol id="terminal-active-history" class="terminal-contents">
                <li>
                    <ul>
                        <li>
                            Input
                        </li>
                        <li id="terminal-output-1">
                            --output--
                        </li>
                    </ul>
                </li>
            </ol>
              <a id="terminal-cmd-bottom" />
          </div>
          <div id="terminal_cmdname" class="form-group plugin-name">
              <label for="terminal-cmd" class="control-label">Console Command:</label>
                <input size="64" type="text" class="form-control terminal-window" id="terminal-cmd" placeholder="$" />
          </div>
      </div>
      <div class="modal-footer">
        <div class="ui-widget-shadow" id="terminal-response"></div>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" id="terminal-save">Run</button>
      </div>
    </div>
  </div>
</div>
<!--/Terminal Modal-->

<!--History Modal-->
<div class="modal modal-info bs-example-modal-lg fade" id="history-modal" tabindex="-1" role="dialog" aria-labelledby="history-modal-label">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="history-modal-label">Target history for
            <span id="history-modal-target"></span> using
            <span id="history-modal-plugin"></span>:<span id="history-modal-port"></span>
        </h4>
      </div>
      <div class="modal-body">
          <div class="row">
            <div class="col-md-12">
              <!--History Data Table-->
              <div class="box box-default" id="history_box">
                  <!--History Header Data Table-->
                  <div class="box-header with-border">
                      <h2 class="box-title"><i class="fa fa-clock-o"></i>History Data Table</h2>
                  </div>
                  <!--/History Header Data Table-->

                  <!--History Body Data Table-->
                  <div class="box-body" id="history_box_body">
                      <div class="row">
                          <div class="col-sm-12">
                              <table id="history_table" class="display" style="width:100%">
                                  <thead>
                                      <tr>
                                          <th>Start Time</th>
                                          <th>Command Name</th>
                                          <th>Command Input</th>
                                          <th>Status</th>
                                      </tr>
                                  </thead>
                                  <tbody id="history_table_body"></tbody>
                                  <tfoot>
                                      <tr>
                                          <th>Start Time</th>
                                          <th>Command Name</th>
                                          <th>Command Input</th>
                                          <th>Status</th>
                                      </tr>
                                  </tfoot>
                              </table>
                          </div>
                      </div>
                  </div>
                  <!--/History Body Data Table-->
              </div>
              <!--/History Data Table-->
            </div>
          </div>
      </div>
      <div class="modal-footer">
        <div class="ui-widget-shadow" id="history-response"></div>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" id="history-save">Run</button>
      </div>
    </div>
  </div>
</div>
<!--/History Modal-->


<div class="modal fade" id="controller-modal" tabindex="-1" role="dialog" aria-labelledby="controller-modal-label">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="controller-modal-label">Plugin Controller</h4>
      </div>
      <div class="modal-body">
        <form>
          <div id="pf_name" class="form-group plugin-name">
            <label for="plugin-name" class="control-label">Name:</label>
            <select class="form-control plugin-name" id="plugin-name">
            </select>
            <span id="pf_name_help" class="help-block">Select a Plugin Name</span>
            <input type="text" class="form-control plugin-id" disabled id="plugin-id">
          </div>
          <div id="pf_extra" class="form-group">
            <label for="plugin-extra" class="control-label">Extra Features:</label>
            <select class="form-control plugin-extra" id="plugin-extra">
                <option value="true">true</option>
                <option value="false">false</option>
            </select>
            <span id="pf_extra_help" class="help-block">Extra features is determined at container export </span>
          </div>
          <div class="form-group">
            <label for="plugin-state" class="control-label">State:</label>
            <input type="text" class="form-control plugin-state" disabled id="plugin-state">
          </div>
          <div id="pf_desired_state" class="form-group">
            <label for="plugin-desired" class="control-label">Desired State:</label>
            <select class="form-control plugin-desired" id="plugin-desired">
                <option value="" selected></option>
                <option value="Activate">Activate</option>
                <option value="Restart">Restart</option>
                <option value="Stop">Stop</option>
            </select>
            <span id="pf_ds_help" class="help-block">Desired state must be selected from "Activate", "Restart", or "Stop"</span>
          </div>
          <div id="pf_interface" class="form-group">
            <label for="plugin-interface" class="control-label">Interface:</label>
              <select class="form-control plugin-interface" id="plugin-interface">
              </select>
              <span id="pf_interface_help" class="help-block">Interface must be selected from available interfaces  (Refresh the plugin list from the right pullout if desired interface not listed)</span>
          </div>
          <div id="pf_port" class="form-group">
            <label for="plugin-external-ports" class="control-label">Ports (comma separated):</label>
            <input class="form-control plugin-ports" id="plugin-external-ports" />
            <input class="form-control plugin-iports" disabled id="plugin-internal-ports" />
            <span id="pf_ep_help" class="help-block">Ports must be in the form of number/protocol 1111/tcp or comma separated 1111/tcp,2222/udp</span>
          </div>
          <div id="pf_environment" class="form-group">
            <label for="plugin-environment" class="control-label">Environment (comma separated):</label>
            <input class="form-control plugin-env" id="plugin-environment" />
            <span id="pf_environment_help" class="help-block">must be in the format of key=value or comma separated key1=val1,key2=val2,...</span>
          </div>
          <div id="pf_os" class="form-group">
            <label for="plugin-os" class="control-label">OS (posix/nt/all):</label>
            <select class="form-control plugin-os" id="plugin-os">
                <option value="posix">posix</option>
                <option value="nt">nt</option>
                <option value="all">all</option>
            </select>
            <span id="pf_os_help" class="help-block">select posix to run on an linux-based host, nt to run on a windows based host, or all to run on either</span>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <div class="ui-widget-shadow" id="plugin-response"></div>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" id="plugin-save">Save</button>
      </div>
    </div>
  </div>
</div>
<!-- JS SCRIPTS -->
<!-- jQuery 3 -->
<script src="{% static 'AdminLTE/bower_components/jquery/dist/jquery.min.js' %}"></script>
<!-- Bootstrap 3.3.7 -->
<script src="{% static 'AdminLTE/bower_components/bootstrap/dist/js/bootstrap.min.js' %}"></script>
<!-- AdminLTE App -->
<script src="{% static 'AdminLTE/dist/js/adminlte.min.js' %}"></script>
<!--Data Table jQuery-->
<script src="{% static 'DataTables/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'DataTables/datatables.min.js' %}"></script>
<script src="{% static 'external_jquery/jquery-ui.js' %}"></script>
<!-- DropZone -->
<script src="{% static 'External_js_files/dropzone.js' %}"></script>
<!--for sorting-->
<script src="{% static 'External_js_files/natural.js' %}"></script>
<!--for multi select-->
<script src="{% static 'DataTables/js/dataTables.select.min.js' %}"></script>
<!--bootstrap-notify-->
<script src="{% static 'bootstrap-notify/bootstrap-notify.min.js' %}"></script>
<!--custom dropzone js file-->
<script src="{% static 'js_custom/pcp_custom_dropzone.js' %}"></script>
<script src="{% static 'External_js_files/datetime-picker.js' %}"></script>
<!--for template inheritance-->
<script src="{% static 'js_custom/pcp_custom_targets.js' %}"></script>
<!-- Project's custom js file -->
<script src="{% static 'js_custom/js_helpers/pcp_custom_helper.js' %}"></script>
<script src="{% static 'js_custom/logs_app/logs_helper.js' %}"></script>
<script src="{% static 'js_custom/pcp_custom_jquery.js' %}"></script>
<script src="{% static 'js_custom/pcp_custom_plugin_list.js' %}"></script>
{% block extra_js %}{% endblock extra_js %}
</body>
</html>
